Bug 860285 - Pidgin evolution breaks F17 -> F18 upgrades
Pidgin evolution breaks F17 -> F18 upgrades
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pidgin (Show other bugs)
18
Unspecified Unspecified
urgent Severity low
: ---
: ---
Assigned To: Jan Synacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 09:23 EDT by Miroslav Suchý
Modified: 2012-12-20 10:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:06:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2012-09-25 09:23:53 EDT
Description of problem:
Package pidgin-evolution has been removed, but does no provide clean upgrade path.

Version-Release number of selected component (if applicable):
pidgin-evolution-2.10.5-1.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. On F17 run: yum clean all
2. yum --releasever=18 --disableplugin=presto --nogpgcheck distro-sync
  
Actual results:
Error: Package: pidgin-evolution-2.10.5-1.fc17.x86_64 (@updates/17)
           Requires: pidgin = 2.10.5-1.fc17
           Removing: pidgin-2.10.5-1.fc17.x86_64 (@updates/17)
               pidgin = 2.10.5-1.fc17
           Updated By: pidgin-2.10.6-3.fc18.x86_64 (fedora)
               pidgin = 2.10.6-3.fc18
Error: Package: pidgin-evolution-2.10.5-1.fc17.x86_64 (@updates/17)
           Requires: libedataserver-1.2.so.16()(64bit)
           Removing: evolution-data-server-3.4.4-3.fc17.x86_64 (@updates/17)
               libedataserver-1.2.so.16()(64bit)
           Updated By: evolution-data-server-3.5.92-1.fc18.x86_64 (fedora)
               Not found
Error: Package: pidgin-evolution-2.10.5-1.fc17.x86_64 (@updates/17)
           Requires: libedata-book-1.2.so.13()(64bit)
           Removing: evolution-data-server-3.4.4-3.fc17.x86_64 (@updates/17)
               libedata-book-1.2.so.13()(64bit)
           Updated By: evolution-data-server-3.5.92-1.fc18.x86_64 (fedora)
               Not found
Error: Package: pidgin-evolution-2.10.5-1.fc17.x86_64 (@updates/17)
           Requires: libebook-1.2.so.13()(64bit)
           Removing: evolution-data-server-3.4.4-3.fc17.x86_64 (@updates/17)
               libebook-1.2.so.13()(64bit)
           Updated By: evolution-data-server-3.5.92-1.fc18.x86_64 (fedora)
               Not found

Expected results:

Package pidgin-2.10.6-3.fc18 should:
  Obsolete:  pidgin-evolution < 2.10.6
Which would remove pidgin-evolution during dist-upgrade and would provide clean upgrade path.
Comment 1 Fedora Update System 2012-09-26 04:51:11 EDT
pidgin-2.10.6-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pidgin-2.10.6-4.fc18
Comment 3 Fedora Update System 2012-09-26 17:21:33 EDT
Package pidgin-2.10.6-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pidgin-2.10.6-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14838/pidgin-2.10.6-4.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-12-20 10:06:44 EST
pidgin-2.10.6-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.